Subject: Re: [Fot] [Spits] County Pistons Quality Control Issue

From: "Steve Yott" <[email-masked]>
Date: Fri, 11 Jan 2013 17:14:45 -0600

Funny that I received about an hour ago a new set of AE .020 pistons that I
had ordered.  They are made by NURAL in Poland which is a subsidiary of
Federal Mogul.  They look very nice in quality and are fitted with Goetze
rings which look ok but they have the one piece oil control ring which I
have never been crazy about.  I prefer the Grant type 3 piece oil ring but
these are easier to install!

Steve Yott 

-----Original Message-----
From: [email-masked] [mailto:[email-masked]] On
Behalf Of Glenn Franco
Sent: Friday, January 11, 2013 4:41 PM
To: Body Wagner
Cc: [email-masked]; Doug Braun; [email-masked]; Friends of
triumph
Subject: Re: [Fot] [Spits] County Pistons Quality Control Issue

The new defective TR6 set I just installed are made in Taiwan.
I just looked in my collection of NOS ones and I have 4 new .020" Spit
County Pistons and those appear to be made in the UK but they are likely
10-15 yrs old or better.
Glenn

On 1/11/2013 5:19 PM, Body Wagner wrote:
> Where are AE pistons made?
>
> Boyd C Wagner
>
> Sent from my iPad
>
> On Jan 11, 2013, at 5:01 PM, Glenn Franco <[email-masked]> wrote:
>
>> Yes the County Rockers are made in India.
>> They usually have better quality control than most.
>>
>> On 1/11/2013 4:33 PM, Doug Braun wrote:
>>> Another horror story:
>>>
>>> A while back I replaced my Spit's rocker arm shaft with the part 
>>> that most vendors sold.  I believe it was "County"
>>> branded, and it was made in India.  I went to adjust the valves a 
>>> few days later, and I noticed that the front four rocker arms seemed 
>>> rather oil-starved.  When I ran the engine with the rocker arm cover 
>>> off, I could see that only the rear four rocker arms were getting 
>>> lubricated.
>>> It turned out that the shaft was not completely hollow:  They had 
>>> rifle-drilled it inwards from each end, but they did not drill deep 
>>> enough, and the two holes did not meet up in the center.
>>>
>>> Doug
>>>
>>>
>>> On Fri, Jan 11, 2013 at 4:14 PM, Glenn Franco <[email-masked] 
>>>
>>>     FYI
>>>     I am in the midst of a TR6 Rebuild with an engine that is .020"
>>>     overbored.
>>>     While fitting up the pistons and checking clearances everything
>>>     checked out and the bore was concentric and to specs.
>>>     With the piston installed in the bore I noticed increased drag
>>>     with #1 piston installed.
>>>     With rings gaps, skirt clearance correct I pulled the piston and
>>>     didn't see any  issues.
>>>     Further inspection showed that the piston was cocked in the bore
>>>     and had score marks on the bottom of one skirt with the same wear
>>>     just below the oil ring on the other side.
>>>     After inspecting it with the machine shop we noticed that the ring
>>>     grooves were not fully machined on one side of the piston.
>>>     The rings would not move far enough in the groove and was proud of
>>>     the surface causing the piston to cock in the bore.
>>>     We collectively have not seen this before and have a new set of AE
>>>     pistons not County on the way.
>>>
>>>     Having spent many years in Automotive Engineering at one of the
>>>     former Big Three, these events are usually not one of's.
>>>     There likely are many more out there that ran down the line in the
>>>     same batch at the same time before it was caught.
>>>
>>>     These are new County Piston sets (I think made in Israel now).
>>>     I would inspect their parts very closely before you install them.
>>>
>>>     I also noticed machine chips in the machined groove of their
>>>     Tri-Metal Main Bearings (Israel).
>>>     The chips were in the machined groove and were plated over with
>>>     the babbit and copper.
>>>
>>>     I have had very good experiences with their parts in the past.
>>>     Just thought I would provide a heads up.
>>>
>>>     Glenn
>>>     _______________________________________________
>>>
>>>     Donate: http://www.team.net/donate.html
>>>     Suggested annual donation  $11.47
>>>     Archive: http://www.team.net/archive
>>>     Forums: http://www.team.net/forums
>>>     Unsubscribe/Manage:
>>>     
>>> http://autox.team.net/mailman/options/spitfires/[email-masked]
>> _______________________________________________
>> [email-masked]
>>
>> http://www.fot-racing.com
>>
>> Donate: http://www.team.net/donate.html
>> Archive: http://www.team.net/archive
>> Forums: http://www.team.net/forums
>> Unsubscribe: 
>> http://autox.team.net/mailman/options/fot/[email-masked]
_______________________________________________
[email-masked]

http://www.fot-racing.com

Archive: http://www.team.net/archive
Unsubscribe: http://autox.team.net/mailman/options/fot/[email-masked]
_______________________________________________
[email-masked]

http://www.fot-racing.com

Archive: http://www.team.net/archive
Unsubscribe: http://autox.team.net/mailman/options/fot/[email-masked]